Index: issm/trunk/externalpackages/tk/install.sh
===================================================================
--- issm/trunk/externalpackages/tk/install.sh	(revision 13395)
+++ issm/trunk/externalpackages/tk/install.sh	(revision 13395)
@@ -0,0 +1,46 @@
+#!/bin/bash
+set -eu
+
+sudochoice=0;
+
+#Some cleanup
+rm -rf src
+rm -rf install
+rm -rf tk8.5.12
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/tk8.5.12-src.tar.gz' 'tk8.5.12.tar.gz'
+
+#Untar 
+tar -zxvf  tk8.5.12.tar.gz
+
+#Move tk into src directory
+mv tk8.5.12/* src
+rm -rf tk8.5.12
+
+cd src/unix
+
+#User mode: 
+if [[ $sudochoice == "0" ]]; 
+then 
+	./configure --prefix=$ISSM_DIR/externalpackages/tk/install
+	if [ $# -eq 0 ]; then
+		make
+	else
+		make -j $1
+	fi
+	make install 
+fi
+
+#sudo mode: 
+if [[ $sudochoice == "1" ]]; 
+then
+	sudo ./configure 
+	if [ $# -eq 0 ]; then
+		sudo make
+	else
+		sudo make -j $1
+	fi
+	sudo make install 
+fi
Index: issm/trunk/externalpackages/triangle/configs/android/configure.make
===================================================================
--- issm/trunk/externalpackages/triangle/configs/android/configure.make	(revision 12709)
+++ issm/trunk/externalpackages/triangle/configs/android/configure.make	(revision 13395)
@@ -1,6 +1,6 @@
 # This makefile configures build process to cross-compile to the android platform.
-# The binary tools referenced below are specifically configuered to target armeabi-v7a.
+# The binary tools referenced below are specifically configured to target armeabi-v7a.
 # Furthermore, the compilers (which are simply wrappers around GNU GCC) are set to
-# produce binaries that are EABI complient.
+# produce binaries that are EABI compliant.
 #
 # Note that the AAPCS standard defines 'EABI' as a moniker used to specify
@@ -9,4 +9,7 @@
 #
 # http://www.codesourcery.com/gnu_toolchains/arm/arm_gnu_linux_abi.pdf
+
+source $ANDROID_DIR/android_aux.sh
+
 CC=${toolchain_path}-gcc
 AR=${toolchain_path}-ar
Index: issm/trunk/externalpackages/triangle/install-altix64.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-altix64.sh	(revision 12709)
+++ issm/trunk/externalpackages/triangle/install-altix64.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup 
Index: issm/trunk/externalpackages/triangle/install-android.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-android.sh	(revision 12709)
+++ issm/trunk/externalpackages/triangle/install-android.sh	(revision 13395)
@@ -1,8 +1,4 @@
 #!/bin/bash
-source $ANDROID_DIR/android_variables.sh
-export toolchain_path
-
-#use matlab? 
-matlab=0
+set -eu
 
 #Some cleanup 
@@ -19,13 +15,9 @@
 
 #copy new makefile
-cp ../configs//android/configure.make ./
+cp ../configs/android/configure.make ./
 cp ../makefile ./
 
 #Patch triangle.c 
-if [[ $matlab == "1" ]];then
-	patch triangle.c ../triangle.c.patch.matlab
-else
-	patch triangle.c ../triangle.c.patch.python
-fi
+patch triangle.c ../triangle.c.patch
 
 #Compile triangle
Index: issm/trunk/externalpackages/triangle/install-discover.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-discover.sh	(revision 12709)
+++ issm/trunk/externalpackages/triangle/install-discover.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup 
Index: issm/trunk/externalpackages/triangle/install-linux64.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-linux64.sh	(revision 12709)
+++ issm/trunk/externalpackages/triangle/install-linux64.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup 
Index: issm/trunk/externalpackages/triangle/install-macosx32.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-macosx32.sh	(revision 12709)
+++ issm/trunk/externalpackages/triangle/install-macosx32.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup 
Index: issm/trunk/externalpackages/triangle/install-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-macosx64.sh	(revision 12709)
+++ issm/trunk/externalpackages/triangle/install-macosx64.sh	(revision 13395)
@@ -1,7 +1,4 @@
 #!/bin/bash
-
-#use matlab? 
-matlab=0
-
+set -eu
 
 #Some cleanup 
@@ -22,9 +19,5 @@
 
 #Patch triangle.c 
-if [[ $matlab == "1" ]];then
-	patch triangle.c ../triangle.c.patch.matlab
-else
-	patch triangle.c ../triangle.c.patch.python
-fi
+patch triangle.c ../triangle.c.patch
 
 #Compile triangle
Index: issm/trunk/externalpackages/triangle/install-pleiades.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-pleiades.sh	(revision 12709)
+++ issm/trunk/externalpackages/triangle/install-pleiades.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup 
Index: issm/trunk/externalpackages/triangle/install-win32.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-win32.sh	(revision 12709)
+++ issm/trunk/externalpackages/triangle/install-win32.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup 
Index: issm/trunk/externalpackages/triangle/install-win7.sh
===================================================================
--- issm/trunk/externalpackages/triangle/install-win7.sh	(revision 12709)
+++ issm/trunk/externalpackages/triangle/install-win7.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup 
Index: issm/trunk/externalpackages/valgrind/install-altix64.sh
===================================================================
--- issm/trunk/externalpackages/valgrind/install-altix64.sh	(revision 12709)
+++ issm/trunk/externalpackages/valgrind/install-altix64.sh	(revision 13395)
@@ -1,17 +1,18 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
-rm -rf install valgrind-3.7.0
+rm -rf install valgrind-3.8.0
 mkdir install
 
 #Download from ISSM server
-$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/valgrind-3.7.0.tar.bz2' 'valgrind-3.7.0.tar.bz2'
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/valgrind-3.8.0.tar.bz2' 'valgrind-3.8.0.tar.bz2'
 
 #Untar 
-tar -jxvf  valgrind-3.7.0.tar.bz2
+tar -jxvf  valgrind-3.8.0.tar.bz2
 
 #Move valgrind into install directory
-mv valgrind-3.7.0/* install
-rm -rf valgrind-3.7.0
+mv valgrind-3.8.0/* install
+rm -rf valgrind-3.8.0
 
 #configure
Index: issm/trunk/externalpackages/valgrind/install-linux64.sh
===================================================================
--- issm/trunk/externalpackages/valgrind/install-linux64.sh	(revision 12709)
+++ issm/trunk/externalpackages/valgrind/install-linux64.sh	(revision 13395)
@@ -1,17 +1,18 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
-rm -rf install valgrind-3.7.0
+rm -rf install valgrind-3.8.0
 mkdir install
 
 #Download from ISSM server
-$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/valgrind-3.7.0.tar.bz2' 'valgrind-3.7.0.tar.bz2'
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/valgrind-3.8.0.tar.bz2' 'valgrind-3.8.0.tar.bz2'
 
 #Untar 
-tar -jxvf  valgrind-3.7.0.tar.bz2
+tar -jxvf  valgrind-3.8.0.tar.bz2
 
 #Move valgrind into install directory
-mv valgrind-3.7.0/* install
-rm -rf valgrind-3.7.0
+mv valgrind-3.8.0/* install
+rm -rf valgrind-3.8.0
 
 #configure
@@ -25,3 +26,3 @@
 #final thing: if mpi is compiled in, soft link its target to a simpler name
 cd lib
-ln -s valgrind/libmpi*  ./libmpidebug.so
+ln -s valgrind/libmpiwrap-*  ./libmpidebug.so
Index: issm/trunk/externalpackages/valgrind/install-macosx32.sh
===================================================================
--- issm/trunk/externalpackages/valgrind/install-macosx32.sh	(revision 12709)
+++ issm/trunk/externalpackages/valgrind/install-macosx32.sh	(revision 13395)
@@ -1,17 +1,18 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
-rm -rf install valgrind-3.7.0
+rm -rf install valgrind-3.8.0
 mkdir install
 
 #Download from ISSM server
-$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/valgrind-3.7.0.tar.bz2' 'valgrind-3.7.0.tar.bz2'
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/valgrind-3.8.0.tar.bz2' 'valgrind-3.8.0.tar.bz2'
 
 #Untar 
-tar -jxvf  valgrind-3.7.0.tar.bz2
+tar -jxvf  valgrind-3.8.0.tar.bz2
 
 #Move valgrind into install directory
-mv valgrind-3.7.0/* install
-rm -rf valgrind-3.7.0
+mv valgrind-3.8.0/* install
+rm -rf valgrind-3.8.0
 
 #configure
Index: issm/trunk/externalpackages/valgrind/install-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/valgrind/install-macosx64.sh	(revision 12709)
+++ issm/trunk/externalpackages/valgrind/install-macosx64.sh	(revision 13395)
@@ -1,17 +1,18 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
-rm -rf install valgrind-3.7.0
+rm -rf install valgrind-3.8.0
 mkdir install
 
 #Download from ISSM server
-$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/valgrind-3.7.0.tar.bz2' 'valgrind-3.7.0.tar.bz2'
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/valgrind-3.8.0.tar.bz2' 'valgrind-3.8.0.tar.bz2'
 
 #Untar 
-tar -jxvf  valgrind-3.7.0.tar.bz2
+tar -jxvf  valgrind-3.8.0.tar.bz2
 
 #Move valgrind into install directory
-mv valgrind-3.7.0/* install
-rm -rf valgrind-3.7.0
+mv valgrind-3.8.0/* install
+rm -rf valgrind-3.8.0
 
 #configure
Index: issm/trunk/externalpackages/valgrind/install-win32.sh
===================================================================
--- issm/trunk/externalpackages/valgrind/install-win32.sh	(revision 12709)
+++ issm/trunk/externalpackages/valgrind/install-win32.sh	(revision 13395)
@@ -1,17 +1,18 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
-rm -rf install valgrind-3.7.0
+rm -rf install valgrind-3.8.0
 mkdir install
 
 #Download from ISSM server
-$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/valgrind-3.7.0.tar.bz2' 'valgrind-3.7.0.tar.bz2'
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/valgrind-3.8.0.tar.bz2' 'valgrind-3.8.0.tar.bz2'
 
 #Untar 
-tar -jxvf  valgrind-3.7.0.tar.bz2
+tar -jxvf  valgrind-3.8.0.tar.bz2
 
 #Move valgrind into install directory
-mv valgrind-3.7.0/* install
-rm -rf valgrind-3.7.0
+mv valgrind-3.8.0/* install
+rm -rf valgrind-3.8.0
 
 #configure
Index: issm/trunk/externalpackages/vim/addons/vim/syntax/Synchronize.sh
===================================================================
--- issm/trunk/externalpackages/vim/addons/vim/syntax/Synchronize.sh	(revision 12709)
+++ issm/trunk/externalpackages/vim/addons/vim/syntax/Synchronize.sh	(revision 13395)
@@ -6,14 +6,14 @@
 cat c.vim | sed "/ISSM's Enums begin/,/vim: ts=8/d" > temp
 echo "\"ISSM's Enums begin" >> temp
-cat ../../../../../src/c/EnumDefinitions/EnumDefinitions.h | grep -e "[0-9]Enum," -e "[aA-zZ]Enum," | grep -v StringToEnum | sed -e "s/,//g" | awk '{ printf "syn keyword cConstant " $1 "\n"}' >> temp
+cat ../../../../../src/c/EnumDefinitions/EnumDefinitions.h | grep -e "[0-9]Enum," -e "[a-z]Enum," -e "[A-Z]Enum," | grep -v StringToEnum | sed -e "s/,//g" | awk '{ printf "syn keyword cConstant " $1 "\n"}' >> temp
 echo "\"ISSM's Enums end" >> temp
 cat c.vim | sed "1,/ISSM's Enums end/d" >> temp
-
 mv temp c.vim
+exit 1
 
 #Synchronize objects
 cat c.vim | sed "/ISSM's objects begin/,/vim: ts=8/d" > temp
 echo "\"ISSM's objects begin" >> temp
-cat ../../../../../src/c/objects/objects.h  | grep "\.h" | sed -e "s/\// /g" -e "s/\.h\"//" | awk '{print  $(NF)}' | awk '{ printf "syn keyword cType " $1 "\n"}' >> temp
+find ../../../../../src/c/classes -name "*.h" | sed -e "s/\// /g" -e "s/\.h//"| awk '{print  $(NF)}' | awk '{ printf "syn keyword cType " $1 "\n"}'>> temp
 echo "\"ISSM's objects end" >> temp
 cat c.vim | sed "1,/ISSM's objects end/d" >> temp
